module actpol_delens

implicit none

interface

  subroutine init_py(rank) bind(C, name="init_py_delen")
  use iso_c_binding
  integer(kind=c_int), value :: rank
  end subroutine init_py


  subroutine get_delensed(rank, cls_size, filt_size, cltt_unlen, clte_unlen, clee_unlen, lpp_th, clpp, L, NL, kappa_lmin, kappa_lmax, cltt_delen, clte_delen, clee_delen) bind(C, name="get_delensed_theory")
  use iso_c_binding
  integer(kind=c_int), value :: rank, cls_size, filt_size
  type(c_ptr), value :: cltt_unlen, clte_unlen, clee_unlen, lpp_th, clpp, L, NL
  real(kind=c_double), value :: kappa_lmin, kappa_lmax
  type(c_ptr), value :: cltt_delen, clte_delen, clee_delen
  end subroutine get_delensed

end interface

end module actpol_delens
  

